Bug 477473 - [tvtime] Please convert to new font packaging guidelines
[tvtime] Please convert to new font packaging guidelines
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tvtime (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On: 477336
Blocks: F11-new-font-rules
  Show dependency treegraph
 
Reported: 2008-12-20 19:42 EST by Nicolas Mailhot
Modified: 2012-08-03 07:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 07:19:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-12-20 19:42:18 EST
This bug has been filed because we've detected your package includes one or several font files:                                                                                                                                                             repoquery -C --repoid=rawhide -f '*.ttf' -f '*.otf' -f '*.pfb' -f '*.pfa' --qf='%{SOURCERPM}\n' |sed -e 's+-[0-9.-]*\.fc[123456789]\(.*\)src.rpm++g'|sort|uniq                                                                                                                                                             Unfortunately the script does not detect symlinks to other packages, so if that's your case, you can close this bug report now.                                                                                                                                                              Otherwise, you should know that:                                                                                                                                                              - Fedora guidelines demand the packaging of fonts in a separate package or subpackage: http://fedoraproject.org/wiki/Packaging/Guidelines#Avoid_bundling_of_fonts_in_other_packages                                                                                - our font packaging guidelines recently changed, and every package that ships fonts must be adapted to the new templates available in the fontpackages-devel package. http://fedoraproject.org/wiki/PackagingDrafts/Fonts_packaging_automation_(2008-11-18) http://fedoraproject.org/wiki/Fedora_fonts_policy_package http://fedoraproject.org/wiki/Simple_fonts_spec_template http://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts                                                                                                                                                              Please make your package conform to the current guidelines in rawhide.                                                                                                                                                             If your package is not principaly a font package, depending on a separate font package or subpackage is the prefered solution. If your application does not use fontconfig you can always package symlinks to the files provided by the font package and installed in the correct fontconfig directories.                                                                                                                                                              It is preferred to make a font package or subpackage per font family, though it is not currently a hard guidelines requirement (it may become before Fedora 11 is released). The definition of a font family is given on http://fedoraproject.org/wiki/Fonts_spec_template_notes/font-family                                                                                                                                                              The new templates should make the creation of font subpackages easy and safe.                                                                                                                                                              The following packages have already been converted and can serve as examples: - andika-fonts - apanov-heuristica-fonts - bitstream-vera-fonts - charis-fonts - dejavu-fonts - ecolier-court-fonts - edrip-fonts - gfs-ambrosia-fonts - gfs-artemisia-fonts - gfs-baskerville-fonts - gfs-bodoni-classic-fonts - gfs-bodoni-fonts - gfs-complutum-fonts - gfs-didot-classic-fonts - gfs-didot-fonts - gfs-eustace-fonts - gfs-fleischman-fonts - gfs-garaldus-fonts - gfs-gazis-fonts - gfs-jackson-fonts - gfs-neohellenic-fonts - gfs-nicefore-fonts - gfs-olga-fonts - gfs-porson-fonts - gfs-solomos-fonts - gfs-theokritos-fonts - stix-fonts - yanone-kaffeesatz-fonts                                                                                                                                                           If you have any remaining questions about the new guidelines please ask them on fedora-fonts-list at redhat.com
Comment 1 Nicolas Mailhot 2008-12-20 19:57:31 EST
[Since the bot made a mess of the text here it is again in properly indented form.]

This bug has been filed because we've detected your package includes one or several font files:

repoquery -C --repoid=rawhide -f '*.ttf' -f '*.otf' -f '*.pfb' -f '*.pfa' --qf='%{SOURCERPM}\n' |sed -e 's+-[0-9.-]*\.fc[123456789]\(.*\)src.rpm++g'|sort|uniq

Unfortunately this script does not detect symlinks to other packages, so if that's your case, you can close this bug report now.

Otherwise, you should know that:

— Fedora guidelines demand the packaging of fonts in a separate package (or subpackage):
http://fedoraproject.org/wiki/Packaging/Guidelines#Avoid_bundling_of_fonts_in_other_packages

— our font packaging guidelines recently changed, and every package that ships fonts must be adapted to the new templates available in the fontpackages-devel package:
  – http://fedoraproject.org/wiki/PackagingDrafts/Fonts_packaging_automation_(2008-11-18)
  – http://fedoraproject.org/wiki/Fedora_fonts_policy_packagehttp://fedoraproject.org/wiki/Simple_fonts_spec_templatehttp://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts

Please make your package conform to the current guidelines in rawhide (you can use the fontpackages package in F9 or F10 to test, but only submit changes to rawhide please).

If your package is not principaly a font package, depending on a separate font package or subpackage is the prefered solution. If your application does not use fontconfig you can always package symlinks to the files provided by the font package and installed in the correct fontconfig directories.

It is preferred to create a font package or subpackage per font family, though it is not currently a hard guidelines requirement (it may become before Fedora 11 is released). The definition of a font family is given on:
http://fedoraproject.org/wiki/Fonts_spec_template_notes/font-family

The new templates should make the creation of font subpackages easy and safe.

The following packages have already been converted by their packager and can serve as examples:
❄ andika-fonts
❄ apanov-heuristica-fonts
❄ bitstream-vera-fonts
❄ charis-fonts
❄ dejavu-fonts
❄ ecolier-court-fonts
❄ edrip-fonts
❄ gfs-ambrosia-fonts
❄ gfs-artemisia-fonts
❄ gfs-baskerville-fonts
❄ gfs-bodoni-classic-fonts
❄ gfs-bodoni-fonts
❄ gfs-complutum-fonts
❄ gfs-didot-classic-fonts
❄ gfs-didot-fonts
❄ gfs-eustace-fonts
❄ gfs-fleischman-fonts
❄ gfs-garaldus-fonts
❄ gfs-gazis-fonts
❄ gfs-jackson-fonts
❄ gfs-neohellenic-fonts
❄ gfs-nicefore-fonts
❄ gfs-olga-fonts
❄ gfs-porson-fonts
❄ gfs-solomos-fonts
❄ gfs-theokritos-fonts
❄ stix-fonts
❄ yanone-kaffeesatz-fonts

If you have any remaining questions about the new guidelines please ask them on:
fedora-fonts-list at redhat.com
Comment 2 Nicolas Mailhot 2009-01-11 10:20:32 EST
To help packagers manage the transition to the new guidelines, we've published the following FAQ

http://fedoraproject.org/wiki/Shipping_fonts_in_other_packages_(FAQ)
Comment 3 Nicolas Mailhot 2009-01-14 13:38:13 EST
FPC approved those two additional guidelines recently, please take them into account if you need to create or update a fonts package or subpackage:

– 2009-01-14: naming
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_%282009-01-13%29

— 2009-01-06: exact splitting rules
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_%282008-12-21%29

(packagers that can drop font files and just depend on an existing font package are not impacted)
Comment 4 Tomas Smetana 2009-02-04 03:25:10 EST
Tvtime contains two fonts: FreeMonoBold and tvtimeSansBold.  They're both originate from the GNU FreeFont collection -- FreeMonoBold can be replaced by the one we have in freefont package.  The problem is with tvtimeSansBold which is FreeSansBold with additional glyphs used as "icons" in the OSD menus.

I'm not sure how to solve this issue properly...:

- Create tvtime fonts subpackage with the two fonts placed somewhere in /usr/share/fonts which would have zero impact on the tvtime and its users but the FreeMonoBold may happen to be installed twice

- Make tvtime depend on the freefont package and use both fonts from there, which would mean that the OSD would not look so fancy (no big change in usability though) and the user would have to install rather big font package

- Make tvtime depend on the freefont package but use only FreeMonoBold from there and then either:
  a) have tvtimeSansBold packaged spearately
  b) have tvtimeSansBold packaged with tvtime

ad a) This solution makes little sense to me: the tvtimeSansBold has no value for any application but tvtime and still the user would have to install 3.5 MB freefont package

ad b) The user would have to install 3.5 MB additional fonts but FreeMonoBold would be packaged just once and tvtime would carry its specific font with it.

Which way should I prefer?  Could you please give me some advice?
Comment 5 Nicolas Mailhot 2009-02-04 16:29:05 EST
1. For FreeMonoBold the case is clear-cut: just add a dep on the canonical package providing it and symlink it from there (but you probably want to wait till bug #477336 is resolved)

2. for tvtimeSansBold you need to split it in a subpackage that conforms to fonts packaging guidelines, and likewise make your main package depend on this subpackage and symlink the file from here

(of course that's assuming the special icons are worth it)

If you decide to drop the icons, the second subpackage is not necessary (we won't ship tvtimeSansBold at all) and you probably also want to think on replacing FreeMonoBold by DejaVu Sans Mono Bold which will already be installed on most user systems, bringing your download requirements even lower

(so depend on dejavu-sans-mono-fonts and symlink from here)

http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29#What_if_my_package_bundles_FreeSans.2C_Linux_Libertine.2C_Droid_or_Liberation_fonts.3F
Comment 6 Tomas Smetana 2009-02-05 03:18:19 EST
Thank you Nicolas.  I didn't know about the FAQ...  I will try to out some other fonts to see how it looks like -- they're used in OSD only so the metrics is quite important.  But it might be the best solution after all.
Comment 7 Nicolas Mailhot 2009-02-18 14:33:00 EST
This is a reminder for all the packagers that still have bugs open about adapting to font packaging guidelines there is only one month left before Fedora 11 beta:
http://fedoraproject.org/wiki/Releases/11/Schedule

A week of this month will see the Fedora 11 mass rebuild, that will load the build farm:
http://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

As already converted packages showed it is quite possible to make mistakes during the conversion. Please make releng and QA happy and don't wait till the last minute to do your changes (avoid pre-beta panic). If possible start before the mass rebuild so we don't burn cycles on incorrect packages.

The PackageKit enhancements stated for Fedora 11 assume fonts and font-using packages are sane (basically respect packaging guidelines). It is quite possible that not-converted packages will interact with the F11 font autoinstall feature in "interesting" ways.
http://fedoraproject.org/wiki/Features/AutomaticFontInstallation

We don't want that

There is extensive documentation on the wiki and most of your questions have likely already been answered there. Please do read the FAQ before making more work for the support team by asking questions answered there.
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29
Comment 8 Tomas Smetana 2009-03-02 08:45:47 EST
Switched to liberation-fonts for the tvtime GUI as the lesser evil of all the choices.
Comment 9 Tomas Smetana 2009-05-31 07:54:27 EDT
Reopening.  The tvtimeSansBold can't be dropped -- the menu lacks the check ticks.  This is too big regression from the user's point of view.

If anybody had an idea how to fix this without annoying users too much, I would love to hear some suggestions.
Comment 10 Bug Zapper 2009-06-09 06:26:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Nicolas Mailhot 2009-06-23 17:30:42 EDT
(In reply to comment #9)
> Reopening.  The tvtimeSansBold can't be dropped -- the menu lacks the check
> ticks.  This is too big regression from the user's point of view.
> 
> If anybody had an idea how to fix this without annoying users too much, I would
> love to hear some suggestions.  

Sorry for the delay, I was buried in Fedora 11 post-mortem status report writing

I don't really know what the "check ticks" are (could you attach a screenshot?) but the ideal solution would be to find out how to represent them with unicode glyphs, and use them directly if they're in dejavu, or get them merged dejavu-side if they aren't

Of course that requires for the ticks not to be something completely non-standard
Comment 12 Bug Zapper 2010-04-27 08:36:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 07:00:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Sven Lankes 2010-07-17 17:36:12 EDT
I have verified that this bug is still valid so I'm reopening it with
the FutureFeature keyword to make sure it's not going to be closed 
again.    

tvtime still ships:

/usr/share/tvtime/FreeMonoBold.ttf
/usr/share/tvtime/tvtimeSansBold.ttf
Comment 15 Tomas Smetana 2012-08-03 07:19:36 EDT
There is zero benefit for the users if the tvtime fonts would be shipped separately and severe usability problems if we'd try to replace them.

Note You need to log in before you can comment on or make changes to this bug.